"""Create Vehicle Table

Revision ID: 601bb183f64c
Revises: b7ee202d3f1d
Create Date: 2018-01-28 12:58:17.769248

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '601bb183f64c'
down_revision = 'b7ee202d3f1d'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('vehicles',
    sa.Column('reg_number', sa.String(), nullable=False),
    sa.Column('manufacturer', sa.String(), nullable=False),
    sa.Column('v_model', sa.String(), nullable=False),
    sa.Column('full_check', sa.DateTime(), nullable=False),
    sa.Column('created_at', sa.DateTime(), nullable=False),
    sa.Column('updated_at', sa.DateTime(), nullable=False),
    sa.Column('deleted_at', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('reg_number')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('vehicles')
    # ### end Alembic commands ###
